apiVersion: v1
kind: Service
metadata:
  labels:
    app: {{ .Values.name }}
  name: {{ .Values.name }}-service
  namespace: {{ .Release.Namespace }}
spec:
  ports:
    - port: {{ .Values.port }}
      protocol: TCP
      targetPort: 8080
  selector:
    app: {{ .Values.name }}
{{ if eq .Values.environment "local" }}
  type: LoadBalancer
{{ end }}
